The Web Log of Jon Henshaw

How to Get the WordPress “Upgrade Automatically” Feature to Work on Pair Networks

Written by , published on and related to 💻 Technology


Upgrade WordPress Automatically

If you use the (best) Web hosting provider Pair, and you run WordPress, then you have undoubtedly found out that you can’t upgrade automatically new versions of WordPress or updates for your plugins. The reason for that is because by default, the System CGI: php-cgiwrap is not configured. Fortunately, it’s not too difficult to enable.

Enabling Automatic Upgrades on WordPress

To use PHP 5 with php-cgiwrap, you must first copy php5.cgi to your own Web directory’s (public_html) cgi-bin directory by SSH.

Step 1

Create the cgi-bin folder in your public_html folder, if it doesn’t exist already.

Step 2

Copy and paste in your terminal connection:
cp /usr/www/cgi-bin/php5.cgi ~/public_html/cgi-bin/

Step 3

Copy and paste in your terminal connection:
chmod 755 ~/public_html/cgi-bin/php5.cgi

Step 4

Add the following lines to your WordPress .htaccess file. Make sure you change [username] with your actual Pair account username (remove the brackets.)

Action application/x-pair-sphp5 /cgi-sys/php-cgiwrap/[username]/php5.cgi/
AddType application/x-pair-sphp5 .php

That’s it. Assuming you did it correctly, you’ll now be able to automatically upgrade WordPress and your plugins. If you need more details or help with this process, view Pair’s Knowledge Base article, “Authoring/Development – System CGI: php-cgiwrap.”